package com.yonge.cooleshow.biz.dal.dto.search;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yonge.cooleshow.biz.dal.enums.AuthStatusEnum;
import com.yonge.cooleshow.common.page.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author: liweifan
 * @Data: 2022-03-30 13:53:51
 */
@ApiModel(value = "TeacherWithdrawalSearch对象", description = "老师账户提现表查询对象")
public class TeacherWithdrawalSearch extends QueryInfo{
	private static final long serialVersionUID = 1L;
	@ApiModelProperty("银行(交易)流水号 ")
	private String bankFlowNo;
	@ApiModelProperty("状态 DOING、审核中 PASS、通过 UNPASS、不通过")
	private AuthStatusEnum status;
	@ApiModelProperty(value = "申请开始时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date startTime;
	@ApiModelProperty(value = "申请结束时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date endTime;


	@ApiModelProperty("查询时间（yyyy-mm） ")
	private String searchDate;

	private Long userId;

	public String getBankFlowNo() {
		return bankFlowNo;
	}

	public void setBankFlowNo(String bankFlowNo) {
		this.bankFlowNo = bankFlowNo;
	}

	public AuthStatusEnum getStatus() {
		return status;
	}

	public void setStatus(AuthStatusEnum status) {
		this.status = status;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public String getSearchDate() {
		return searchDate;
	}

	public void setSearchDate(String searchDate) {
		this.searchDate = searchDate;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}
}