package com.yonge.cooleshow.teacher.controller;

import com.yonge.cooleshow.auth.api.client.SysUserFeignService;
import com.yonge.cooleshow.auth.api.entity.SysUser;
import com.yonge.cooleshow.biz.dal.dto.UserBankCardDto;
import com.yonge.cooleshow.biz.dal.entity.UserBankCard;
import com.yonge.cooleshow.biz.dal.service.UserBankCardService;
import com.yonge.cooleshow.common.controller.BaseController;
import com.yonge.cooleshow.common.entity.HttpResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;

@RestController
@RequestMapping("/userBankCard")
@Api(value = "用户绑卡记录表", tags = "用户绑卡记录表")
public class UserBankCardController extends BaseController {
    @Autowired
    private UserBankCardService userBankCardService;
	@Autowired
	private SysUserFeignService sysUserFeignService;

	@PostMapping("/bankCard")
	@ApiOperation(value = "用户绑卡")
	public HttpResponseResult<UserBankCard> bankCard(@Valid @RequestBody UserBankCardDto bankCard) {
		SysUser user = sysUserFeignService.queryUserInfo();
		if (user == null || null == user.getId()) {
			return failed(HttpStatus.FORBIDDEN, "请登录");
		}
		bankCard.setUserId(user.getId());
		return userBankCardService.bankCard(bankCard);
	}

}