package com.yonge.cooleshow.teacher.task;

import com.yonge.cooleshow.biz.dal.entity.TeacherTotal;
import com.yonge.cooleshow.biz.dal.service.CourseGroupService;
import com.yonge.cooleshow.biz.dal.service.TeacherService;
import com.yonge.cooleshow.biz.dal.service.TeacherTotalService;
import com.yonge.cooleshow.biz.dal.vo.TeacherTotalVo;
import com.yonge.cooleshow.common.controller.BaseController;
import com.yonge.cooleshow.common.entity.HttpResponseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author: liweifan
 * @Data: 2022/3/28 15:50
 */
@RestController
@RequestMapping("/task")
public class TaskController extends BaseController {
    @Autowired
    private TeacherTotalService teacherTotalService;
    @Autowired
    private CourseGroupService courseGroupService;

    /***
     * 查询所有老师统计数据
     * @author liweifan
     * @updateTime 2022/3/28 10:12
     * @return: com.yonge.cooleshow.common.entity.HttpResponseResult<java.util.List < com.yonge.cooleshow.biz.dal.vo.TeacherTotalVo>>
     */
    @GetMapping("/queryTeacherTotal")
    public HttpResponseResult<List<TeacherTotal>> queryTeacherTotal() {
        return succeed(teacherTotalService.queryTeacherTotal());
    }

    /***
     * 定时任务-定时修改为报名中状态-每隔10分钟执行一次
     */
    @GetMapping("/openCourseGroup")
    public HttpResponseResult openCourseGroup(){
        courseGroupService.openCourseGroup();
        return HttpResponseResult.succeed();
    }

    @GetMapping("/getRedisValueByKey")
    public HttpResponseResult<Object> getRedisValueByKey(String key) {
        return succeed(teacherTotalService.getRedisValueByKey(key));
    }
}
